Bug 836624 - buildbot rpmlint step does not save search path
buildbot rpmlint step does not save search path
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: buildbot (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 12:40 EDT by Brian Sipos
Modified: 2013-08-11 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A proposed change which fixes the issue. (558 bytes, patch)
2012-06-29 12:49 EDT, Brian Sipos
no flags Details | Diff

  None (edit)
Description Brian Sipos 2012-06-29 12:40:56 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: 

The RpmLint test step that comes with the buildbot package does not correctly save its "fileloc" search pattern, so when it executes on the build slave it always uses the default pattern "*rpm".

Reproducible: Always

Steps to Reproduce:
1. Add a factory with an RpmLint step for a unique RPM path (e.g. "dist/*/*.rpm").
2. Observe the command string in the buildbot log for that step. The command line indicates the call ["/usr/bin/rpmlint", "-i", "*rpm"], which is not what is desired.
3. Observe that the step may fail to locate RPM files to check.
Actual Results:  
The test step may not actually test any RPM files, in which case the test will falsely pass.

Expected Results:  
The test step should scan the desired file pattern.
Comment 1 Brian Sipos 2012-06-29 12:49:33 EDT
Created attachment 595340 [details]
A proposed change which fixes the issue.

This patch follows the behavior of other test steps, but I'm not exactly sure that "addFactoryArguments" is the correct way to register the custom parameters.
Comment 2 Fedora End Of Life 2013-07-03 18:32:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:29:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Dustin J. Mitchell 2013-08-10 21:50:56 EDT
A derivative of this patch is merged upstream in 
 https://github.com/buildbot/buildbot/commit/344d85983a17c7571672135dc4da57f72f4dc5b2
Comment 5 Gianluca Sforna 2013-08-11 08:36:35 EDT
Great!

Brian, if you need it before the next version lands, feel free to open a new bugzilla ticket asking to add that patch to the package.

Note You need to log in before you can comment on or make changes to this bug.